Arch SplitMesh/de: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
No edit summary
Line 2: Line 2:
{{docnav|[[Arch_CloneComponent|Clone component]]|[[Arch_MeshToShape|Mesh To Shape]]|[[Arch_Module|Arch]]}}
{{docnav|[[Arch_CloneComponent|Clone component]]|[[Arch_MeshToShape|Mesh To Shape]]|[[Arch_Module|Arch]]}}


{{GuiCommand/de
<div class="mw-translate-fuzzy">
{{GuiCommand/de|Name=Arch SplitMesh|Name/de=Arch SplitMesh|Workbenches=[[Arch Module/de|Arch]]|MenuLocation=Arch → Utilities → Split Mesh|SeeAlso=[[Arch SelectNonSolidMeshes/de|Arch SelectNonSolidMeshes]]}}
|Name=Arch SplitMesh|Name/de=Arch SplitMesh
|MenuLocation=Arch → Dienstprogramme → Netz zerlegen
</div>
|Workbenches=[[Arch Module/de|Arch-Arbeitsbereich]]
|SeeAlso=[[Arch SelectNonSolidMeshes/de|Arch SelectNonSolidMeshes]], [[Arch MeshToShape/de|Wandelt Netz in Form um]]
}}


==Beschreibung==
==Beschreibung==

Revision as of 14:37, 9 February 2019

Arch SplitMesh

Menüeintrag
Arch → Dienstprogramme → Netz zerlegen
Arbeitsbereich
Arch-Arbeitsbereich
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Arch SelectNonSolidMeshes, Wandelt Netz in Form um

Beschreibung

This tool splits a selected Mesh object into its separate components

How to use

  1. Select a mesh object.
  2. Press the Split Mesh entry in Arch → Utilities → Split Mesh.

Scripting

See also: Arch API and FreeCAD Scripting Basics.

The SplitMesh tool can be used in macros and from the Python console by using the following function:

new_list = splitMesh(obj, mark=True)
  • Splits the given mesh object (obj) into separated components.
  • If mark is True non-manifold components will be painted red.
  • new_list is a list of all the individual components that make the mesh.

Example:

import FreeCAD, Draft, Arch, Mesh, MeshPart

Line = Draft.makeWire([FreeCAD.Vector(0, 0, 0),FreeCAD.Vector(2000, 2000, 0)])
Wall = Arch.makeWall(Line, width=150, height=3000)
FreeCAD.ActiveDocument.recompute()

Shape = Wall.Shape.copy(False)
Shape.Placement = Wall.getGlobalPlacement()

mesh_obj = FreeCAD.ActiveDocument.addObject("Mesh::Feature", "Mesh")
mesh_obj.Mesh = MeshPart.meshFromShape(Shape=Shape, MaxLength=520)
mesh_obj.ViewObject.DisplayMode = "Flat Lines"

new_list = Arch.splitMesh(mesh_obj)